Summary:        Implementation of the Fast Infoset Standard for Binary XML
Name:           jaxb-fi
Version:        2.1.0
Release:        3%{?dist}
License:        ASL 2.0 and BSD and ASL 1.1
URL:            https://github.com/eclipse-ee4j/jaxb-fi
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

Patch3000:      0001-Port-to-jaxb-xsom-4.0.1.patch

BuildRequires:  maven-local mvn(com.sun.xml.stream.buffer:streambuffer)
BuildRequires:  mvn(jakarta.activation:jakarta.activation-api) mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin) mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin) mvn(org.glassfish.jaxb:xsom)
BuildArch:      noarch

%description
Fast Infoset Project, an Open Source implementation of the Fast Infoset Standard for Binary XML.

The Fast Infoset specification (ITU-T Rec. X.891 | ISO/IEC 24824-1) describes an open,
standards-based "binary XML" format that is based on the XML Information Set.

%package -n FastInfoset
Summary:        FastInfoset

%description -n FastInfoset
Implementation of the Fast Infoset Standard for Binary XML.

%package -n FastInfosetRoundTripTests
Summary:        FastInfoset Roundtrip Tests

%description -n FastInfosetRoundTripTests
Implementation of the Fast Infoset Standard for Binary XML.

%package -n FastInfosetSamples
Summary:        FastInfoset Samples

%description -n FastInfosetSamples
Implementation of the Fast Infoset Standard for Binary XML.

%package -n FastInfosetUtilities
Summary:        FastInfoset Utilities

%description -n FastInfosetUtilities
Implementation of the Fast Infoset Standard for Binary XML.

%prep
%autosetup -n %{name}-%{version} -p1

%pom_remove_parent

%pom_remove_plugin :buildnumber-maven-plugin
%pom_remove_plugin :glassfish-copyright-maven-plugin
%pom_remove_plugin :maven-enforcer-plugin

%mvn_package :fastinfoset-project __noinstall

%build
%mvn_build -s -j

%install
%mvn_install

%files -n FastInfoset -f .mfiles-FastInfoset
%license LICENSE NOTICE.md
%doc README.md

%files -n FastInfosetRoundTripTests -f .mfiles-FastInfosetRoundTripTests
%license LICENSE NOTICE.md

%files -n FastInfosetSamples -f .mfiles-FastInfosetSamples
%license LICENSE NOTICE.md

%files -n FastInfosetUtilities -f .mfiles-FastInfosetUtilities
%license LICENSE NOTICE.md

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 27 2023 Shuo Wang <abushwang@tencent.com> - 2.1.0-1
- initial build
